Page MenuHomePhabricator

rename wasat to mwmaint2001 and reinstall it with stretch
Closed, ResolvedPublic

Description

terbium has been replaced by mwmaint1001 in the parent task

Its codfw-equivalent, wasat, should therefore be renamed to mwmaint2001, and be reinstalled with stretch

We can, since we now fixed the mw-maintenance puppet role and added stretch/PHP7 support.

But probably should wait until mwmaint1001 is actually in use for a few days.

Event Timeline

Dzahn triaged this task as High priority.May 4 2018, 11:24 PM
Dzahn lowered the priority of this task from High to Normal.
Dzahn created this task.
Dzahn added a comment.May 4 2018, 11:32 PM

check if wasat hardware is new enough to just be renamed or whether it should also be replaced

Dzahn removed Dzahn as the assignee of this task.Jun 21 2018, 12:10 PM

This can be done after T192092 is resolved. I am temporarily unassigning it from me while i'm on vacation for a couple weeks. If others get to it that would be nice, if not i will take it back after my return.

Vvjjkkii renamed this task from rename wasat to mwmaint2001 and reinstall it with stretch to skdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Liuxinyu970226 renamed this task from skdaaaaaaa to rename wasat to mwmaint2001 and reinstall it with stretch.Jul 1 2018, 2:10 PM
Liuxinyu970226 updated the task description. (Show Details)
TerraCodes lowered the priority of this task from High to Normal.Jul 2 2018, 2:54 PM

Script wmf-auto-reimage was launched by jmm on sarin.codfw.wmnet for hosts:

wasat.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807121007_jmm_18015_wasat_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mwmaint2001.codfw.wmnet']

Of which those FAILED:

['mwmaint2001.codfw.wmnet']

Script wmf-auto-reimage was launched by jmm on sarin.codfw.wmnet for hosts:

mwmaint2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807121145_jmm_31191_mwmaint2001_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mwmaint2001.codfw.wmnet']

Of which those FAILED:

['mwmaint2001.codfw.wmnet']

Script wmf-auto-reimage was launched by jmm on sarin.codfw.wmnet for hosts:

mwmaint2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807121149_jmm_31651_mwmaint2001_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mwmaint2001.codfw.wmnet']

Of which those FAILED:

['mwmaint2001.codfw.wmnet']

Script wmf-auto-reimage was launched by jmm on sarin.codfw.wmnet for hosts:

mwmaint2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807121153_jmm_32062_mwmaint2001_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mwmaint2001.codfw.wmnet']

Of which those FAILED:

['mwmaint2001.codfw.wmnet']

Script wmf-auto-reimage was launched by jmm on sarin.codfw.wmnet for hosts:

mwmaint2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807121205_jmm_2769_mwmaint2001_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mwmaint2001.codfw.wmnet']

Of which those FAILED:

['mwmaint2001.codfw.wmnet']

Let me (or DCops) know if/when we can rename the switch port description.

Let me (or DCops) know if/when we can rename the switch port description.

Ack, I'll make a separate ticket for that.

Change 445617 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/dns@master] Update DNS config for wasat rename

https://gerrit.wikimedia.org/r/445617

ayounsi removed a subscriber: ayounsi.Jul 13 2018, 1:51 PM

Change 445617 merged by Muehlenhoff:
[operations/dns@master] Update DNS config for wasat rename

https://gerrit.wikimedia.org/r/445617

MoritzMuehlenhoff closed this task as Resolved.Jul 16 2018, 11:47 AM

wasat has been reimaged with stretch and during the process renamed to mwmaint2001 (for consistency with mwmaint1001).

Dzahn awarded a token.Jul 24 2018, 3:56 PM
RobH reopened this task as Open.Aug 21 2018, 2:20 PM
RobH added a subscriber: RobH.

No one bothered to update the racktables entry, physical label, or the network port description.

No sub-task was made for any of this, which is bad.

ALL reimage/renames must have the following steps done by Network admin and/or DC-ops:

  • rename the network port description for all ports on the switch
  • update the physical hostname label on the host itself (front and back)
  • update the hostname and visible label fields in racktables